xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (C) 2007 Andrea Rossato
License | BSD3
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Prompt.Ssh

Contents

- Usage

Description

A ssh prompt for XMonad

Synopsis

- sshPrompt :: XPConfig -> X ()
- data Ssh

# Usage

1. In your `~/.xmonad/xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.Ssh

1. In your keybindings add something like:

      , ((modm .|. controlMask, xK_s), sshPrompt def)

Keep in mind, that if you want to use the completion you have to disable the HashKnownHosts option in your ssh_config

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

sshPrompt :: XPConfig -> X () Source #

data Ssh Source #

Instances

XPrompt Ssh Source # |
Instance details Defined in XMonad.Prompt.Ssh Methods showXPrompt :: Ssh -> String Source # nextCompletion :: Ssh -> String -> [String] -> String Source # commandToComplete :: Ssh -> String -> String Source # completionToCommand :: Ssh -> String -> String Source # completionFunction :: Ssh -> ComplFunction Source # modeAction :: Ssh -> String -> String -> X () Source #